## org.biojavax.bio.phylo.io.phylip
Interface PHYLIPFileListener

All Known Implementing Classes:
  PHYLIPFileBuilder

    public interface PHYLIPFileListener

Listens to events fired by the PHYLIP parser. Use these events to handle data directly or construct objects.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` `endFile()` Finished reading a file.
`void` `receiveSequence(String sequence)` Receive sequence data for the current sequence.
`void` `setCurrentSequenceName(String name)` Set the name of the sequence which is about to be received.
`void` `setSequenceCount(int count)` Set the number of sequences in the alignment.
`void` `setSitesCount(int count)` Set the number of sites in the alignment
`void` `startFile()` About to start a new file.

Method Detail

### startFile

    void startFile()

  About to start a new file.

### endFile

    void endFile()
                 throws ParseException

  Finished reading a file.

  Throws:
    `ParseException`

### setSequenceCount

    void setSequenceCount(int count)

  Set the number of sequences in the alignment.

  Parameters:
    `count` - the expected number of sequences

### setSitesCount

    void setSitesCount(int count)

  Set the number of sites in the alignment

  Parameters:
    `count` - the expected number of sites

### setCurrentSequenceName

    void setCurrentSequenceName(String name)

  Set the name of the sequence which is about to be received. If the name has already been seen, the sequence should be appended.

  Parameters:
    `name` - the label for the current sequence

### receiveSequence

    void receiveSequence(String sequence)

  Receive sequence data for the current sequence.

  Parameters:
    `sequence` - sequence text for the current sequence